import { DeepPartial } from '@azure-tools/codegen';
import { StatementPossibilities, Statements } from './statement';
export declare class CaseStatement extends Statements {
    protected value: string;
    constructor(value: string, body: StatementPossibilities, objectInitializer?: DeepPartial<CaseStatement>);
    protected get statementsImplementation(): string;
    get implementation(): string;
}
export declare class DefaultCaseStatement extends CaseStatement {
    constructor(body: StatementPossibilities, objectInitializer?: DeepPartial<DefaultCaseStatement>);
    get implementation(): string;
}
export declare class TerminalDefaultCaseStatement extends CaseStatement {
    constructor(body: StatementPossibilities, objectInitializer?: DeepPartial<TerminalDefaultCaseStatement>);
    get implementation(): string;
}
export declare class TerminalCaseStatement extends CaseStatement {
    constructor(value: string, body: StatementPossibilities, objectInitializer?: DeepPartial<TerminalCaseStatement>);
    get implementation(): string;
}
export declare function DefaultCase(body: StatementPossibilities, objectInitializer?: DeepPartial<CaseStatement>): CaseStatement;
export declare function Case(value: string, body: StatementPossibilities, objectInitializer?: DeepPartial<CaseStatement>): CaseStatement;
export declare function TerminalDefaultCase(body: StatementPossibilities, objectInitializer?: DeepPartial<CaseStatement>): TerminalDefaultCaseStatement;
export declare function TerminalCase(value: string, body: StatementPossibilities, objectInitializer?: DeepPartial<CaseStatement>): TerminalCaseStatement;
//# sourceMappingURL=case.d.ts.map